darcs

Issue 459 changes --repo=URL => Not a repository (still in 1.0.9+)

Title changes --repo=URL => Not a repository (still in 1.0.9+)
Priority bug Status resolved
Milestone Resolved in
Superseder Can't create temporary file with 'changes --repo=URL'
View: 250
Nosy List attila.lendvai, darcs-devel, dmitry.kurochkin, kowey, markstos, thorkilnaur, tommy
Assigned To
Topics

Created on 2007-05-15.14:44:23 by attila.lendvai, last changed 2009-10-23.23:48:51 by admin.

Messages
msg1695 (view) Author: attila.lendvai Date: 2007-05-15.14:44:12
dear darcs devs,

darcs changes --xml-output
--repo=http://www.common-lisp.net/project/cl-wdim/darcs/pvez/

fails with:

darcs failed:  Not a repository:
http://www.common-lisp.net/project/cl-wdim/darcs/pvez/ (Failed to
create temporary file darcs: permission denied (Permission denied))

the problem is that it starts walking the parent directories until it
finds a '_darcs' dir because it assumes local operation. the result is
that it reaches "/" where it can not write.

this happens with the current stable branch and it was working with a
later version of darcs.

hth,
msg1825 (view) Author: kowey Date: 2007-07-14.21:21:17
Good find, thanks.

I had some trouble reproducing this on a Mac at first.  The trick is to create a
directory which you cannot write into.

Notes:
- the --xml-output does not seem to make a difference
- this affects both stable and unstable, but luckily, it is still working in
1.0.9.  I wonder what has changed in between, and also what on earth it's trying
to write (probably stuff that it's downloading)
- it really is about remote repositories and not just any other repo

I don't think the walking the parent directories (which it does do) story is
quite right, however.  It seems like just a simple matter of trying to write in
a non-writeable directory.

this works
----------
cd /tmp
mkdir nowrite
cd nowrite
mkdir write
chmod u-x .
cd write
darcs changes --repo=http://www.darcs.net

but this does not
-----------------
cd /tmp
mkdir nowrite
cd nowrite
darcs changes --repo=http://www.darcs.net
msg1827 (view) Author: kowey Date: 2007-07-14.22:20:08
See also issue76 and issue250
msg2586 (view) Author: markstos Date: 2008-01-19.06:16:15
I've manually tested that this resolved-in-unstable now.
History
Date User Action Args
2007-05-15 14:44:23attila.lendvaicreate
2007-07-14 21:21:23koweysetstatus: unread -> unknown
nosy: droundy, tommy, beschmi, kowey, attila.lendvai
messages: + msg1825
title: darcs changes --xml-output --repo=remote-repo -> darcs changes --repo=remote-repo
2007-07-14 22:21:03koweysetsuperseder: + Can't create temporary file with 'changes --repo=URL'
messages: + msg1827
title: darcs changes --repo=remote-repo -> changes --repo=URL => Not a repository (still in 1.0.9+)
2008-01-19 06:16:16markstossetstatus: unknown -> resolved-in-unstable
nosy: + markstos
messages: + msg2586
2008-09-04 21:30:56adminsetstatus: resolved-in-unstable -> resolved
nosy: + dagit
2009-08-06 17:50:06adminsetnosy: + jast, Serware, dmitry.kurochkin, darcs-devel, zooko, mornfall, simon, thorkilnaur, - droundy, attila.lendvai
2009-08-06 20:53:36adminsetnosy: - beschmi
2009-08-10 22:04:16adminsetnosy: + attila.lendvai, - darcs-devel, zooko, jast, Serware, mornfall
2009-08-11 00:00:36adminsetnosy: - dagit
2009-08-25 18:01:31adminsetnosy: + darcs-devel, - simon
2009-08-27 14:06:44adminsetnosy: tommy, kowey, markstos, darcs-devel, attila.lendvai, thorkilnaur, dmitry.kurochkin
2009-10-23 22:34:52adminsetnosy: + attila_lendvai, - attila.lendvai
2009-10-23 23:48:51adminsetnosy: + attila.lendvai, - attila_lendvai